StatusManagerServlet (Apache Tomcat 9.0.118 API Documentation)
Description: declaration: package: org.apache.catalina.manager, class: StatusManagerServlet

# Class StatusManagerServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.catalina.manager.StatusManagerServlet

All Implemented Interfaces:
  `Serializable, EventListener, NotificationListener, Servlet, ServletConfig`

public class StatusManagerServlet extends HttpServlet implements NotificationListener
This servlet will display a complete status of the HTTP/1.1 connector.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Vector<ObjectName>`
  `globalRequestProcessors`
  Vector of global request processors object names.
  `protected MBeanServer`
  `mBeanServer`
  MBean server.
  `protected final Vector<ObjectName>`
  `protocolHandlers`
  Deprecated.
  Unused.
  `protected final Vector<ObjectName>`
  `requestProcessors`
  Vector of request processors object names.
  `protected static final StringManager`
  `sm`
  The string manager for this package.
  `protected final Vector<ObjectName>`
  `threadPools`
  Vector of thread pools object names.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatusManagerServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Called by the servlet container to indicate to a servlet that the servlet is being taken out of service.
  `void`
  `doGet(HttpServletRequest request, HttpServletResponse response)`
  Called by the server (via the `service` method) to allow a servlet to handle a GET request.
  `void`
  `handleNotification(Notification notification, Object handback)`
  `void`
  `init()`
  A convenience method which can be overridden so that there's no need to call `super.init(config)`.

  ### Methods inherited from class HttpServlet

  `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

  ### Methods inherited from class GenericServlet

  `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mBeanServer

    protected MBeanServer mBeanServer
    MBean server.

  - ### protocolHandlers

    @Deprecated protected final Vector<ObjectName> protocolHandlers
    Deprecated.
    Unused. Will be removed in Tomcat 10.1.x
    Vector of protocol handlers object names.

  - ### threadPools

    protected final Vector<ObjectName> threadPools
    Vector of thread pools object names.

  - ### requestProcessors

    protected final Vector<ObjectName> requestProcessors
    Vector of request processors object names.

  - ### globalRequestProcessors

    protected final Vector<ObjectName> globalRequestProcessors
    Vector of global request processors object names.

  - ### sm

    protected static final StringManager sm
    The string manager for this package.

- ## Constructor Details

  - ### StatusManagerServlet

    public StatusManagerServlet()

- ## Method Details

  - ### init

    public void init() throws ServletException
    Description copied from class: `javax.servlet.GenericServlet`
    A convenience method which can be overridden so that there's no need to call `super.init(config)`.

    Instead of overriding `GenericServlet.init(ServletConfig)`, simply override this method and it will be called by `GenericServlet.init(ServletConfig config)`. The `ServletConfig` object can still be retrieved via `GenericServlet.getServletConfig()`.

    Overrides:
      `init` in class `GenericServlet`
    Throws:
      `ServletException` - if an exception occurs that interrupts the servlet's normal operation

  - ### destroy

    public void destroy()
    Description copied from class: `javax.servlet.GenericServlet`
    Called by the servlet container to indicate to a servlet that the servlet is being taken out of service. See `Servlet.destroy()`.
    Specified by:
      `destroy` in interface `Servlet`
    Overrides:
      `destroy` in class `GenericServlet`

  - ### doGet

    public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException
    Description copied from class: `javax.servlet.http.HttpServlet`
    Called by the server (via the `service` method) to allow a servlet to handle a GET request.

    Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.

    When overriding this method, read the request data, write the response headers, get the response's Writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a `PrintWriter` object to return the response, set the content type before accessing the `PrintWriter` object.

    The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.

    Where possible, set the Content-Length header (with the `ServletResponse.setContentLength(int)` method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.

    When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.

    The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.

    The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.

    If the request is incorrectly formatted, `doGet` returns an HTTP "Bad Request" message.

    Overrides:
      `doGet` in class `HttpServlet`
    Parameters:
      `request` - an `HttpServletRequest` object that contains the request the client has made of the servlet
      `response` - an `HttpServletResponse` object that contains the response the servlet sends to the client
    Throws:
      `IOException` - if an input or output error is detected when the servlet handles the GET request
      `ServletException` - if the request for the GET could not be handled
    See Also:
      - `ServletResponse.setContentType(String)`

  - ### handleNotification

    public void handleNotification(Notification notification, Object handback)
    Specified by:
      `handleNotification` in interface `NotificationListener`